; Example of assembly language
;
;  find max  from ar[0..2]
;
	.org h'100
	ldx i		
	ldaa ar,x		
	staa max    ; max = ar[0]
loop:	ldaa i+1	   ; use 8 bit of i
	cmpa #2		
	bgt exit	   ; while i <= N
	ldaa ar,x	
	cmpa max  ; if max < ar[i]
	ble skip
	staa max	   ; then max = ar[i]
skip:	inx              ; i = i+1
	stx i
	jmp loop
exit:
	.org h'10
max: 	.db 0		; max
i:	.dw 0		; index must be 16 bit
ar:	.db 4,5,6		; array 
	.end
